﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

using System;
using Microsoft.Build.Framework;
using Microsoft.Build.Utilities;

namespace MSBuild.Mercurial.CodePlex
{
    /// <summary>
    /// Mock MSBuild task.
    /// </summary>
    [Command("mock")]
    public class MockTask : Task
    {
        /// <summary>
        /// Gets or sets a string parameter.
        /// </summary>
        [Required]
        [Parameter("-s")]
        public string StringParameter { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the choice is set.
        /// </summary>
        [Parameter("-c")]
        public bool ChoiceParameter { get; set; }

        /// <summary>
        /// Gets or sets a date parameter.
        /// </summary>
        [Parameter("-d")]
        public DateTime? DateParameter { get; set; }

        /// <summary>
        /// Does nothing and throws an exception.
        /// </summary>
        /// <returns>
        /// Always throw an exception.
        /// </returns>
        /// <exception cref="NotImplementedException">
        /// The method is called.
        /// </exception>
        public override bool Execute()
        {
            throw new NotImplementedException();
        }
    }
}
