﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

using System.Diagnostics;
using System.Diagnostics.CodeAnalysis;

namespace MSBuild.Mercurial.Sample
{
    /// <summary>
    /// The trace sources of the assembly.
    /// </summary>
    public static class Traces
    {
        /// <summary>
        /// The default trace source of this unit-tests assembly.
        /// </summary>
        /// <remarks>
        /// The name of the trace source is: <c>MSBuild.Mercurial.Test</c>.
        /// </remarks>
        [SuppressMessage(
            "Microsoft.Security",
            "CA2104:DoNotDeclareReadOnlyMutableReferenceTypes",
            Justification = "The name TraceSource instance is immutable and the readonly flag is there to guaranty that the name can't be changed")]
#if DEBUG
        public static readonly TraceSource Default = new TraceSource("MSBuild.Mercurial.Sample.Test", SourceLevels.All);
#else
        public static readonly TraceSource Default = new TraceSource("MSBuild.Mercurial.Sample.Test", SourceLevels.Warning);
#endif
    }
}
